.* OS/2 IPF file for the OS/2 Gamer's Guide
.* July 26th, 1995
:userdoc.
:docprof toc=1234.
:title.The OS/2 Gamer's Guide On-Line Help
:h1 res=10.The OS/2 Gamer'S Guide Main Window
:p.The main window consists of two sections&colon.
:ol compact.
:li.:link reftype=hd res=13.the Game List:elink.
:li.:link reftype=hd res=17.the Game Information:elink.
:eol.
:artwork align=center name='SCREEN1.BMP'.
:h2 res=13.the Game List
:p.The Game List box is where you select which game you are interested in.
:p.By clicking on a game title you will bring up the information on that game in the
:link reftype=hd res=17.Game Information:elink. part of the screen.
:p.If you double-click on a game title you will bring up the Edit Game dialog window. 
:h2 res=17.the Game Information
:p.The Game Information part of the main window is where you view information for the game selected from the :link reftype=hd res=13.Game List:elink..
:p.Depending on the information in the database for that game you will see the title of the game, the game developer, the type of game, the associated icon, and some game notes.
:p.You will also have access to up to three push-buttons on the bottom of the screen depending on the game settings.
:p.These buttons will allow you to view information on how to contact the developer of the game, create an OS/2 desktop object for the game, and view a textfile such as a FAQ, cheat codes, or some other user-defined file.
:h1 res=20.About the OS/2 Gamer's Guide
:p.:hp4.The OS/2 Gamer's Guide:ehp4. is a tool which allows for the storage and quick retrieval of DOS game settings. Once a game has been added to the program's database you can
just point-and-click to automatically recreate a customized WPS desktop object, complete with a user-defined icon, for that game.
:p.The program is being distributed in the form of freeware in the hope that OS/2 users will add settings to it so that it becomes :hp3.the:ehp3. comprehensive collection of DOS game settings available.
:p.If you get a new game and manage to get it working under OS/2 please :link reftype=hd res=70.add:elink. it to your personal copy of the database but also send me a description of the game and a copy of the settings.
:p.I will add these to the master copy of the database and release the updated database on a monthly basis.
:h1 res=30.Notes from the Author
:p.This program is released as :hp8.freeware:ehp8. which entitles the user to use and distribute the program at no cost. However, I retain copyright to the program and the user may
not disassemble, reverse compile or resell it without my express written consent.
:p.I also include no warranty with the program and the user accepts all responsibility and consequences of using this program.
:p.Included with the main program are the run-time libraries for :hp4.VX-Rexx:ehp4. and :hp4.Watcom SQL:ehp4.. Both are copyrights of :hp4.Watcom International Corp.:ehp4. and are subject to the licensing terms and conditions outlined by them.
:p.All game titles listed in this program are copyright of their respective developers and/or publishers.
:h1 res=40.DOS Settings
:p.When you are attempting to get a new DOS game running under OS/2 use the following information as a guide.
:ol compact.
:li.Create a program object for your game by dragging the Program template from the Template folder.
:li.Enter the full path and filename for your game as well as any necessary command-line parameters on the first page of the settings notebook.
:artwork align=center name='PAGE1.BMP'.
:li.On the seond page select DOS FULL SCREEN and press the DOS SETTINGS button.
:artwork align=center name='PAGE2.BMP'.
:li.Select ALL DOS SETTINGS and then OK.
:artwork align=center name='PAGE3.BMP'.
:li.Adjust the settings as recommended by any included game documentation or else use the following information as a guide.
:eol.
:dl break=all tsize=3.
:dt.:hp2.DOS_BACKGROUND_EXECUTION=OFF (DEFAULT=ON):ehp2.
:dd.Set this to OFF for most games as it is unecessary for most games to be running in the background.
:dt.:hp2.DOS_FILES=NN (DEFAULT=20):ehp2.
:dd.Increase the number of files as recommended by the game documentation.
:dt.:hp2.DOS_HIGH=ON (DEFAULT=OFF):ehp2.
:dd.Set ON to provide more conventional memory for your game. However, if the game prefers to acces the high-memory space directory, (DPMI games), then leave OFF.
:dt.:hp2.DOS_UMB=ON (DEFAULT=OFF):ehp2.
:dd.Adjust this setting the same as the DOS_HIGH setting. If you have turned the DOS_HIGH setting ON then turn this ON as well.
:dt.:hp2.DPMI_DOS_API=AUTO:ehp2.
:dd.If the game you are setting up uses the DPMI memory manager (DOS4GW.EXE) then try setting this to ENABLED or DISABLED.
:dt.:hp2.DPMI_MEMORY_LIMIT=4:ehp2.
:dd.If you have enabled the DPMI_DOS_API setting then I recommend adjusting this limit to one megabyte less than your real system memory. (ie. on a 16Meg system set to 15).
:dt.:hp2.EMS_MEMORY_LIMIT=2048:ehp2.
:dd.Adjust this as recommended by the game documentation.
:dt.:hp2.HW_ROM_TO_RAM=ON (DEFAULT=OFF):ehp2.
:dd.Setting this to ON usually improves performance and can help eliminate screen flicker.
:dt.:hp2.HW_TIMER=ON (DEFAULT=OFF):ehp2.
:dd.This should be set to ON for games that need direct access to hardware timing ports.
:dt.:hp2.IDLE_SENSITIVITY=NN (DEFAULT=75):ehp2.
:dd.Set this to 100 for most games to disable idle-detection. Setting this to 100 overrides the IDLE_SECONDS setting.
:dt.:hp2.INT_DURING_IO=ON (DEFAULT=OFF):ehp2.
:dd.Set this to ON to avoid choppy audio in DOS games.
:dt.:hp2.SESSION_PRIORITY=NN (DEFAULT=1):ehp2.
:dd.Adjust this setting under Warp to give your game more processor attention. A setting of 32 is usually appropriate for most games.
:dt.:hp2.VIDEO_8514A_XGA_IOTRAP=OFF (DEFAULT=ON):ehp2.
:dd.Set to OFF for most games to provide faster, unrestricted access to the video device.
:dt.:hp2.VIDEO_FASTPASTE=OFF:ehp2.
:dd.In some cases where a game seems unresponsive, setting this to ON can provide a minor benefit.
:dt.:hp2.VIDEO_RETRACE_EMULATION=OFF:ehp2.
:dd.This should be left OFF for games to improve performance.
:dt.:hp2.XMS_MEMORY_LIMIT=2048:ehp2.
:dd.Adjust this setting as recommended by the game's documentation.
:edl.
:h1 res=50.Joystick Information
:p.Getting your joystick to calibrate properly for a lot of games under OS/2 can be difficult. However, IBM has recently licensed a joystick driver from Robert Manley that improves joystick setup under a lot of these problem games.
:p.The driver can be found on the IBM BBS or on the Internet at :hp4.ftp.ibm.net /pub/games:ehp4. where it is called :hp4.JOYSTICK.ZIP:ehp4..
:h1 res=60.Additional Sources of Information
:p.If you have access to the Internet there are a number of places to look for assistance in getting new games working under OS/2 including&colon.
:ol compact.
:li.comp.os.os2.games - a newsgroup dedicated to games under OS/2
:li.http&colon.&slash.&slash.eyelab.msu.edu/os2games/ - the OS/2 DOS Games List
:li.http&colon.&slash.&slash.wcl-rs.bham.ac.uk/GamesDomain - the Game Domain
:eol.
:h1 res=70.Add/Edit Game Window
:artwork align=center name='SCREEN2.BMP'.
:p.This window is displayed when you select :hp2.Add a Game:ehp2. or :hp2.Edit a Game:ehp2. from the database menu.
:p.When you are editing a game you can change any information on the screen except for the title of the game. Selecting <SAVE> will update the database.
:p.When you are adding a game, if you mark the "Works under OS/2" checkbox then you will be asked for the path and filename of the encoded settings file when you save the information.
:p.This encoded file will be parsed and the appropriate settings will be imported into the database for you. :hp8.Make sure you have this file before you add a game.:ehp8.
:p.The encoded file can be created when you first get a new game running under OS/2.
:p.Open the settings notebook for the game's object; select the DOS settings page; select All Settings; select the Print button;
:artwork align=center name='PAGE4.BMP'.
:p.select Encoded file and give it an appropriate name.
:artwork align=center name='PAGE5.BMP'.
:p.Now, when you add a game to the OS/2 Gamer's Guide database and it asks for the
encoded file, give this filename along with the complete path as in the example below.
:artwork align=center name='SCREEN3.BMP'.
:euserdoc.
